
# Class: ProductInformationVariantOption

## Hierarchy

* **ProductInformationVariantOption**

## Index

### Constructors

* [constructor](productinformationvariantoption.md#constructor)

### Properties

* [productOptionId](productinformationvariantoption.md#optional-productoptionid)
* [productOptionTitle](productinformationvariantoption.md#optional-productoptiontitle)
* [productOptionTraits](productinformationvariantoption.md#optional-productoptiontraits)
* [productOptionType](productinformationvariantoption.md#optional-productoptiontype)
* [productOptionValueId](productinformationvariantoption.md#optional-productoptionvalueid)
* [productOptionValueTitle](productinformationvariantoption.md#optional-productoptionvaluetitle)

## Constructors

###  constructor

\+ **new ProductInformationVariantOption**(`dtoOption?`: ProductVariantOptionDto): *[ProductInformationVariantOption](productinformationvariantoption.md)*

**Parameters:**

Name | Type |
------ | ------ |
`dtoOption?` | ProductVariantOptionDto |

**Returns:** *[ProductInformationVariantOption](productinformationvariantoption.md)*

## Properties

### `Optional` productOptionId

• **productOptionId**? : *number | null*

___

### `Optional` productOptionTitle

• **productOptionTitle**? : *string | null*

___

### `Optional` productOptionTraits

• **productOptionTraits**? : *string[] | null*

___

### `Optional` productOptionType

• **productOptionType**? : *OptionType*

___

### `Optional` productOptionValueId

• **productOptionValueId**? : *number | null*

___

### `Optional` productOptionValueTitle

• **productOptionValueTitle**? : *string | null*
